Summary:	A GTK front-end for CUPS
Name:		gtklp
Version:	1.2.9
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Printing
Source0:	http://prdownloads.sourceforge.net/gtklp/%{name}-%{version}.src.tar.gz
Url:		http://gtklp.sourceforge.net/
Source1:	gtklp-icon48.png
Source2:	gtklp-icon32.png
Source3:	gtklp-icon16.png
Patch1:		gtklp-1.2.5-mdv-fix-str-fmt.patch
BuildRequires:	cups-common
BuildRequires:	gtk+2-devel
BuildRequires:	cups-devel > 1.1
Requires:	cups > 1.1

%description
A GTK front-end for CUPS.

%prep
%setup -q
%patch1 -p1 -b .strfmt

sed -e '/DEF_BROWSER_CMD/{s:netscape:firefox:}' \
	-e '/DEF_HELP_HOME/{s:631/sum.html#STANDARD_OPTIONS:631/help/:}' \
	-i include/defaults.h


mkdir -p Mageia
cp %{SOURCE1} Mageia/gtklp-icon48.png
cp %{SOURCE2} Mageia/gtklp-icon32.png
cp %{SOURCE3} Mageia/gtklp-icon16.png

%build
autoreconf -fi
%configure2_5x --enable-forte

%make

%install
rm -fr %{buildroot}

mkdir -p %{buildroot}/%{_datadir}/applications/
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}

%makeinstall_std

# menu entry
cat << EOF > %buildroot%{_datadir}/applications/mageia-%{name}.desktop
[Desktop Entry]
Type=Application
Categories=HardwareSettings;Settings;GTK;
Name=GTK CUPS
Comment=GTK Frontend for CUPS
Exec=%{_bindir}/gtklp
Icon=gtklp
EOF

cat << EOF > %buildroot%{_datadir}/applications/mageia-gtklpq.desktop
[Desktop Entry]
Type=Application
Categories=HardwareSettings;Settings;GTK;
Name=GTK Printer Queue
Comment=GTK Frontend to GTKlp CUPS Queue
Exec=%{_bindir}/gtklpq
Icon=gtklp
EOF

# menu icon
install -m0644 Mageia/gtklp-icon48.png %{buildroot}%{_liconsdir}/%{name}.png
install -m0644 Mageia/gtklp-icon32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 Mageia/gtklp-icon16.png %{buildroot}%{_miconsdir}/%{name}.png

# locales
%find_lang %name

%files -f %name.lang
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO USAGE
%{_bindir}/*
%{_datadir}/applications/mageia-*.desktop
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_mandir}/man1/*


%changelog

* Mon Jan 21 2013 malo <malo> 1.2.9-3.mga3
+ Revision: 390317
- updated RPM group

* Sat Jan 12 2013 umeabot <umeabot> 1.2.9-2.mga3
+ Revision: 352898
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 23 2012 fedya <fedya> 1.2.9-1.mga3
+ Revision: 283258
- missed dot in descr
- imported package gtklp

